Bug 1409103 - autofs cannot mount samba/cifs shares that end with a dollar sign
Summary: autofs cannot mount samba/cifs shares that end with a dollar sign
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: autofs
Version: 27
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Ian Kent
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-12-29 14:07 UTC by Sampo Soini
Modified: 2018-02-09 16:29 UTC (History)
1 user (show)

Fixed In Version: autofs-5.1.4-5.fc26 autofs-5.1.4-5.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-09 11:27:29 UTC
Type: Bug


Attachments (Terms of Use)
automount debug log (8.46 KB, text/plain)
2016-12-30 11:54 UTC, Sampo Soini
no flags Details

Description Sampo Soini 2016-12-29 14:07:44 UTC
Description of problem:
In windows, a share that ends with a dollar sign is a hidden share.
Using autofs you cannot access these hidden shares. The share name is visible
but does not work.


Version-Release number of selected component (if applicable):
5.1.2-1

How reproducible:
Every time.

Steps to Reproduce:
1. Create a samba share ending with $ (for example [test$])
2. Set up autofs to access smb shares
3. Try to access the directory

Actual results:
Error message "No such file or directory"

Expected results:
Autofs mounts the share and the directory is accessible.

Additional info:
Here is an smb.conf example with two shares pointing to the same directory:
-----
[test]
        comment = Test share
        path = /home/share
        browseable = yes
        guest ok = no
        writeable = yes

[test$]
        comment = Test share
        path = /home/share
        browseable = yes
        guest ok = no
        writeable = yes
-----

And added auto.smb to /etc/auto.master:
-----
/smb    /etc/auto.smb
-----

And the results of trying to use them:
-----
[user@machine ~]$ cd /smb/smbserver
[user@machine smbserver]$ ls
test  'test$'
[user@machine smbserver]$ find .
.
./test$
find: ‘./test$’: No such file or directory
./test
./test/test.txt
[user@machine smbserver]$ cd test$
bash: cd: test$: No such file or directory

-----

Comment 1 Ian Kent 2016-12-30 01:30:39 UTC
Post a full debug log and I'll have a look.

Comment 2 Sampo Soini 2016-12-30 11:54:43 UTC
Created attachment 1236062 [details]
automount debug log

Comment 3 Ian Kent 2017-01-03 11:16:17 UTC
(In reply to Sampo Soini from comment #2)
> Created attachment 1236062 [details]
> automount debug log

Thanks for the log.
It is interesting, the problem isn't occurring where I expected it
to happen. I'll investigate further.

Ian

Comment 4 Fedora End Of Life 2017-11-16 18:34:28 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 5 Fedora End Of Life 2017-12-12 10:21:36 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 6 Sampo Soini 2017-12-12 13:22:03 UTC
Bug still exists in Fedora 27 (autofs-5.1.3-4)

Comment 7 Fedora Update System 2017-12-19 23:38:57 UTC
autofs-5.1.4-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-21cb07e1d3

Comment 8 Fedora Update System 2017-12-19 23:44:13 UTC
autofs-5.1.4-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-593cc5120d

Comment 9 Fedora Update System 2017-12-21 20:25:10 UTC
autofs-5.1.4-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-21cb07e1d3

Comment 10 Fedora Update System 2017-12-21 21:10:36 UTC
autofs-5.1.4-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-593cc5120d

Comment 11 Fedora Update System 2017-12-22 03:21:05 UTC
autofs-5.1.4-4.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-eda74692fc

Comment 12 Fedora Update System 2017-12-22 03:21:28 UTC
autofs-5.1.4-4.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-164b3ee23a

Comment 13 Fedora Update System 2017-12-22 12:43:17 UTC
autofs-5.1.4-4.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-eda74692fc

Comment 14 Fedora Update System 2017-12-22 13:16:04 UTC
autofs-5.1.4-4.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-164b3ee23a

Comment 15 Fedora Update System 2018-02-01 07:17:40 UTC
autofs-5.1.4-5.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-eda74692fc

Comment 16 Fedora Update System 2018-02-01 07:42:02 UTC
autofs-5.1.4-5.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-164b3ee23a

Comment 17 Fedora Update System 2018-02-01 19:09:17 UTC
autofs-5.1.4-5.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-164b3ee23a

Comment 18 Fedora Update System 2018-02-01 19:30:15 UTC
autofs-5.1.4-5.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-eda74692fc

Comment 19 Fedora Update System 2018-02-09 11:27:29 UTC
autofs-5.1.4-5.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2018-02-09 16:29:30 UTC
autofs-5.1.4-5.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.